<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

var onpayModule = "onpay";
var onpayModuleId = ${mid};

function checkOnPay( form )
{
	var sum = parseFloat( form.sum.value.replace(",",".") );
	if ( isNaN( sum ) )
	{
		alert( 'Введена некоректная сумма' );
		return false;		
	}
	else if ( sum < ${dataMap['sumMin']} || sum > ${dataMap['sumMax']} )
	{
		alert( "Введите сумму от ${dataMap['sumMin']} до ${dataMap['sumMax']}" );
		return false;		
	}
	return confirm('Вы подтверждаете платеж на сумму - ' + form.sum.value + ' ${currencyTitleMedium}?');
}

function signAndGoGate( sum )
{
	jQuery.get( webexecuter, { action: '${action}', operation: 'sign', module: '${module}', mid: ${mid}, contractId: contractId, ct: 'json', sum: sum }, 
		function( data )
		{
			var form = jQuery( "#onpayGateForm" )[0];
			form.AMOUNT.value = data.AMOUNT;
			form.CURRENCY.value = data.CURRENCY;
			form.ORDER.value = data.ORDER;
			form.DESC.value = data.DESC;
			form.TERMINAL.value = data.TERMINAL;
			form.TRTYPE.value = data.TRTYPE;
			form.MERCH_NAME.value = data.MERCH_NAME;
			form.MERCHANT.value = data.MERCHANT;
			form.EMAIL.value = data.EMAIL;
			form.TIMESTAMP.value = data.TIMESTAMP;
			form.NONCE.value = data.NONCE;
			form.BACKREF.value = data.BACKREF;
			form.P_SIGN.value = data.P_SIGN;
			form.submit();
		}
	);
}
</script>

<form action="${dataMap['gateUrl']}" method="post" id="onpayGateForm">
	<input type="hidden" name="AMOUNT"/>
	<input type="hidden" name="CURRENCY"/>
	<input type="hidden" name="ORDER"/>
	<input type="hidden" name="DESC"/>
	<input type="hidden" name="TERMINAL"/>
	<input type="hidden" name="TRTYPE"/>
	<input type="hidden" name="MERCH_NAME"/>
	<input type="hidden" name="MERCHANT"/>
	<input type="hidden" name="EMAIL"/>
	<input type="hidden" name="TIMESTAMP"/>
	<input type="hidden" name="NONCE"/>
	<input type="hidden" name="BACKREF"/>
	<input type="hidden" name="P_SIGN"/>
</form>

<form method="POST">
	<input type="hidden" name="action" value="${action}">
	<input type="hidden" name="module" value="${dataMap['module']}"/>
	<input type="hidden" name="mid" value="${mid}"/>
	<input type="hidden" name="operation" value="initPay"/>
	<%@include file="../include/error.jsp" %>

	<table class="tableFont tableWidth">
	  <tr>
	    <td class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px;">
	    	<h3>Пополните счет c помощью шлюза <a href="http://www.onpay.ru/" target="_blank" class="textColor1">OnPay</a></h3>
			<div style="padding: 0px 4px;"><nobr>Сумма: <input type="number" name="sum" size="12" style="text-align: center;"/>&nbsp;<button type="button" onclick="if ( checkOnPay(this.form) ) signAndGoGate( this.form.sum.value );">Оплатить</button></nobr></div>
		</td>
		<td style="width: 20px;">&nbsp;</td>
	    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
	  </tr>
	</table>
</form>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="onpayListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="status" value="${dataMap['status']}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="onpayListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="onpayListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	  <tr>
	  	<td><div style="display: none;">Статус: <select onchange="jQuery('#onpayListForm')[0].status.value=this.value;jQuery('#onpayListForm')[0].submit();">
	  	<c:forEach var="item" items="${dataMap['statusList']}">
	  	<c:set var="selected"><c:if test="${item.statusCode eq dataMap['status']}">selected="1"</c:if> </c:set>
	  	<option value="${item.statusCode}"${selected}>${item.statusTitle}</option>
	  	</c:forEach>
	  	</select></div></td>
	  	<td style="text-align: right;"><div>[<a href="#" onclick="jQuery(this).parent().hide().next().show().parent().prev().children().show();">показать допол. фильтры</a>]</div><div style="display: none;">[<a href="#" onclick="jQuery(this).parent().hide().prev().show().parent().prev().children().hide();">скрыть допол. фильтры</a>]</div></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50">№</td>
				<td width="150">Дата/Время оплаты</td>
				<td>Статус</td>
				<td>Карта</td>
				<td width="150">Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['paymentList']}">
			<c:forEach var="item" items="${dataMap['paymentList']}">
				<tr>
					<td>${item.id}</td>
					<c:choose>
						<c:when test="${not empty item.transactionDate}"><td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:when>
						<c:otherwise><td><fmt:formatDate value="${item.createDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /></td></c:otherwise>
					</c:choose>
					<td><c:choose><c:when test="${item.result eq 'New'}">Новая</c:when><c:when test="${item.result eq 'Approved'}">Одобренная</c:when><c:otherwise>${item.result}</c:otherwise></c:choose></td>
					<td>${item.card}</td>
					<td><fmt:formatNumber value="${item.summa}" minFractionDigits="2" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="5" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>